Name:		trackballs
Version:	1.1.4
Release:	%mkrel 10
Summary:	A Marble Madness-like game
Group:		Games/Arcade
License:	GPL
URL:		http://trackballs.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/trackballs/%{name}-%{version}.tar.bz2
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
Source4:	http://prdownloads.sourceforge.net/trackballs/SixLevels.tar.gz
Patch0:		trackballs-1.1.4-mga-fix-build.patch
Patch1:		trackballs-1.1.4-trackballs-1.1.4-guile20.patch
BuildRequires:  guile
BuildRequires:	pkgconfig(guile-2.0)
BuildRequires:	SDL_ttf-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	mesaglu-devel
BuildRequires:	desktop-file-utils
Suggests:	trackballs-music

%description
Trackballs is a simple game similar to the
classical game Marble Madness, on the Amiga,
in the 80's. By steering a marble ball through
a labyrinth filled with vicious hammers, pools
of acid and other obstacles the player collects
points.

When the ball reaches the destination you continue
on the next, more difficult, level - unless, of
course, the time runs out.

You steer the ball using the mouse and by pressing
>spacebar< you can jump a short distance.

When all levels are finished, an editor mode permits
to create new ones ("trackballs -e").
All is explained in the docs.

%prep
%setup -q
tar -xvzf %{SOURCE4} -C share/levels
%patch0 -p3
%patch1 -p1 -b .guile2.0

%build
export LDFLAGS=-L%{_prefix}/X11R6/%{_lib}
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--with-highscores=%{_localstatedir}/lib/games/%{name}/highScores
%make

%install
%makeinstall_std MKINSTALLDIRS=`pwd`/mkinstalldirs iconsdir=%buildroot%_datadir/icons/hicolor

# icons
install -D -m 644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{SOURCE3} %{buildroot}%{_liconsdir}/%{name}.png 

mv %{buildroot}%{_datadir}/games/{locale,applications} %{buildroot}%{_datadir}

#fix desktop file
desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--set-key=Exec --set-value=/usr/games/trackballs \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQ INSTALL README TODO
%doc docs/*html
%attr(2755,root,games) %{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_mandir}/man6/%{name}.*
%{_datadir}/icons/hicolor/*/apps/*.*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%attr(664, root, games) %ghost %{_localstatedir}/lib/games/%{name}/highScores


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1.4-10.mga3
+ Revision: 384727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 zezinho <zezinho> 1.1.4-9.mga3
+ Revision: 251862
- suggest music rpm

* Tue May 29 2012 zezinho <zezinho> 1.1.4-8.mga3
+ Revision: 249338
- fix BR
- fix desktop file

* Wed Dec 28 2011 wally <wally> 1.1.4-7.mga2
+ Revision: 188434
- fix .desktop file
- add P1 to fix build with new guile (from Fedora)
- clean .spec a bit

* Tue Oct 11 2011 zezinho <zezinho> 1.1.4-6.mga2
+ Revision: 153888
- fix build
- imported package trackballs

